phpCAS version 1.3.6

Functions
Initialization
User interface

## Functions
static | phpCAS::client ($server_version, $server_hostname, $server_port, $server_uri, $changeSessionID=true)
static | phpCAS::proxy ($server_version, $server_hostname, $server_port, $server_uri, $changeSessionID=true)
static | phpCAS::isInitialized ()

## Detailed Description

## Function Documentation

## ◆ client()

static phpCAS::client | ( |  | $server_version,
|  |  | $server_hostname,
|  |  | $server_port,
|  |  | $server_uri,
|  |  | $changeSessionID = `true`
| ) |  |
| static

phpCAS client initializer.

Parameters

  string | $server_version | the version of the CAS server
  string | $server_hostname | the hostname of the CAS server
  string | $server_port | the port the CAS server is running on
  string | $server_uri | the URI the CAS server is responding on
  bool | $changeSessionID | Allow phpCAS to change the session_id (Single Sign Out/handleLogoutRequests is based on that change)

Returns
  a newly created CAS_Client object

Note
  Only one of the phpCAS::client() and phpCAS::proxy functions should be called, only once, and before all other methods (except phpCAS::getVersion() and phpCAS::setDebug()).

Examples:
  example_advanced_saml11.php, example_custom_urls.php, example_gateway.php, example_html.php, example_lang.php, example_logout.php, example_service.php, example_service_POST.php, and example_simple.php.

Definition at line 338 of file CAS.php.

References phpCAS\error(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## ◆ isInitialized()

static phpCAS::isInitialized | ( |  | ) |
| static

Answer whether or not the client or proxy has been initialized

Returns
  bool

Definition at line 416 of file CAS.php.

## ◆ proxy()

static phpCAS::proxy | ( |  | $server_version,
|  |  | $server_hostname,
|  |  | $server_port,
|  |  | $server_uri,
|  |  | $changeSessionID = `true`
| ) |  |
| static

phpCAS proxy initializer.

Parameters

  string | $server_version | the version of the CAS server
  string | $server_hostname | the hostname of the CAS server
  string | $server_port | the port the CAS server is running on
  string | $server_uri | the URI the CAS server is responding on
  bool | $changeSessionID | Allow phpCAS to change the session_id (Single Sign Out/handleLogoutRequests is based on that change)

Returns
  a newly created CAS_Client object

Note
  Only one of the phpCAS::client() and phpCAS::proxy functions should be called, only once, and before all other methods (except phpCAS::getVersion() and phpCAS::setDebug()).

Examples:
  example_pgt_storage_db.php, example_pgt_storage_file.php, example_proxy_GET.php, example_proxy_POST.php, example_proxy_serviceWeb.php, example_proxy_serviceWeb_chaining.php, and example_service_that_proxies.php.

Definition at line 382 of file CAS.php.

References phpCAS\error(), phpCAS\traceBegin(), and phpCAS\traceEnd().